For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
DocsReferenceChangelog
DocsReferenceChangelog
  • Introduction
    • Overview
    • Errors
  • SDK
    • Overview
    • Decorators
    • Run Evaluation
  • API
      • POSTSubmit Evaluator Judgment
      • GETList Evaluators
      • POSTUpsert Evaluator
      • GETGet Evaluator
      • DELDelete Evaluator
      • PATCHMove Evaluator
      • GETList Versions of an Evaluator
      • DELDelete Evaluator Version
      • PATCHUpdate Evaluator Version
      • POSTDeploy Evaluator
      • DELRemove Deployment
      • GETList an Evaluator's Environments
      • POSTUpdate Monitoring
LogoLogo
Sign inBook a demo
APIEvaluators

List Versions of an Evaluator

GET
https://api.humanloop.com/v5/evaluators/:id/versions
GET
/v5/evaluators/:id/versions
$curl https://api.humanloop.com/v5/evaluators/ev_890bcd/versions \
> -H "X-API-KEY: <apiKey>"
1{
2 "records": [
3 {
4 "path": "Shared Evaluators/Accuracy Evaluator",
5 "id": "ev_890bcd",
6 "spec": {
7 "arguments_type": "target_required",
8 "return_type": "number",
9 "evaluator_type": "python",
10 "code": "def evaluate(answer, target):\n return 0.5"
11 },
12 "name": "Accuracy Evaluator",
13 "version_id": "evv_012def",
14 "created_at": "2024-05-01T12:00:00Z",
15 "updated_at": "2024-05-01T12:00:00Z",
16 "last_used_at": "2024-05-01T12:00:00Z",
17 "version_logs_count": 1,
18 "total_logs_count": 1,
19 "inputs": [
20 {
21 "name": "answer"
22 }
23 ],
24 "type": "evaluator"
25 }
26 ]
27}
Get a list of all the versions of an Evaluator.
Was this page helpful?
Previous

Delete Evaluator Version

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

idstringRequired
Unique identifier for the Evaluator.

Query parameters

evaluator_aggregatesbooleanOptional
Whether to include Evaluator aggregate results for the versions in the response

Response

Successful Response
recordslist of objects
The list of Evaluators.

Errors

422
List Versions Evaluators ID Versions Get Request Unprocessable Entity Error